TabGeckoDocs
Zur Website
Dokumentation / Import/Export · API

Import/Export · API

Aus dem OpenAPI-Stand erzeugt. Quellzusammenfassungen bleiben unverändert; die JSON-Schemas unten sind die exakten exportierten Definitionen.

POST /api/v1/profiles/{id}/local-storage/export

Local Storage für explizite Origins ohne Abruf der Webseiten exportieren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read, secrets:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "origins"
        ],
        "properties": {
          "origins": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 2048
            },
            "minItems": 1,
            "maxItems": 50
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "origins"
          ],
          "properties": {
            "origins": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "origin",
                  "localStorage"
                ],
                "properties": {
                  "origin": {
                    "type": "string"
                  },
                  "localStorage": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "name",
                        "value"
                      ],
                      "properties": {
                        "name": {
                          "type": "string"
                        },
                        "value": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Local Storage für explizite Origins ohne Abruf der Webseiten exportieren",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "origins"
          ],
          "properties": {
            "origins": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2048
              },
              "minItems": 1,
              "maxItems": 50
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:read",
    "secrets:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "origins"
            ],
            "properties": {
              "origins": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "origin",
                    "localStorage"
                  ],
                  "properties": {
                    "origin": {
                      "type": "string"
                    },
                    "localStorage": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "value"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "value": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/{id}/session-storage/export

Session Storage geöffneter Tabs für explizite Origins exportieren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read, secrets:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "origins"
        ],
        "properties": {
          "origins": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 2048
            },
            "minItems": 1,
            "maxItems": 50
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "tabs",
            "skipped_tabs"
          ],
          "properties": {
            "tabs": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "target_id",
                  "origin",
                  "sessionStorage"
                ],
                "properties": {
                  "target_id": {
                    "type": "string"
                  },
                  "origin": {
                    "type": "string"
                  },
                  "sessionStorage": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "name",
                        "value"
                      ],
                      "properties": {
                        "name": {
                          "type": "string"
                        },
                        "value": {
                          "type": "string"
                        }
                      }
                    }
                  }
                }
              }
            },
            "skipped_tabs": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "target_id",
                  "reason"
                ],
                "properties": {
                  "target_id": {
                    "type": "string"
                  },
                  "reason": {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "unavailable"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "origin_changed"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "storage_unavailable"
                        ]
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Session Storage geöffneter Tabs für explizite Origins exportieren",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "origins"
          ],
          "properties": {
            "origins": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2048
              },
              "minItems": 1,
              "maxItems": 50
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:read",
    "secrets:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "tabs",
              "skipped_tabs"
            ],
            "properties": {
              "tabs": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "target_id",
                    "origin",
                    "sessionStorage"
                  ],
                  "properties": {
                    "target_id": {
                      "type": "string"
                    },
                    "origin": {
                      "type": "string"
                    },
                    "sessionStorage": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "name",
                          "value"
                        ],
                        "properties": {
                          "name": {
                            "type": "string"
                          },
                          "value": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                }
              },
              "skipped_tabs": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "target_id",
                    "reason"
                  ],
                  "properties": {
                    "target_id": {
                      "type": "string"
                    },
                    "reason": {
                      "anyOf": [
                        {
                          "type": "string",
                          "enum": [
                            "unavailable"
                          ]
                        },
                        {
                          "type": "string",
                          "enum": [
                            "origin_changed"
                          ]
                        },
                        {
                          "type": "string",
                          "enum": [
                            "storage_unavailable"
                          ]
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/{id}/website-storage/indexeddb/import

Eine neue IndexedDB-Datenbank aus einem Website-Speicherexport in ein geöffnetes Dokument importieren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write, runtime:control

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "data",
          "document_index",
          "database_index",
          "target_id",
          "frame_id"
        ],
        "properties": {
          "data": {},
          "document_index": {
            "type": "integer",
            "minimum": 0,
            "maximum": 499
          },
          "database_index": {
            "type": "integer",
            "minimum": 0,
            "maximum": 99
          },
          "target_id": {
            "type": "string",
            "minLength": 1,
            "maxLength": 512
          },
          "frame_id": {
            "type": "string",
            "minLength": 1,
            "maxLength": 512
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "status",
            "reason"
          ],
          "properties": {
            "status": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "imported"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "conflict"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "aborted"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "rejected"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "unknown"
                  ]
                }
              ]
            },
            "reason": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            },
            "records": {
              "type": "integer",
              "minimum": 0
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Eine neue IndexedDB-Datenbank aus einem Website-Speicherexport in ein geöffnetes Dokument importieren",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "data",
            "document_index",
            "database_index",
            "target_id",
            "frame_id"
          ],
          "properties": {
            "data": {},
            "document_index": {
              "type": "integer",
              "minimum": 0,
              "maximum": 499
            },
            "database_index": {
              "type": "integer",
              "minimum": 0,
              "maximum": 99
            },
            "target_id": {
              "type": "string",
              "minLength": 1,
              "maxLength": 512
            },
            "frame_id": {
              "type": "string",
              "minLength": 1,
              "maxLength": 512
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:write",
    "runtime:control"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "status",
              "reason"
            ],
            "properties": {
              "status": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "imported"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "conflict"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "aborted"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "rejected"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "unknown"
                    ]
                  }
                ]
              },
              "reason": {
                "anyOf": [
                  {
                    "type": "string"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "records": {
                "type": "integer",
                "minimum": 0
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/{id}/website-storage/export

Website-Speicher geöffneter Tabs und Frames mit Partitionenzuordnung exportieren

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read, secrets:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
idpathJa
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "type": "string",
      "minLength": 1,
      "maxLength": 64
    },
    "in": "path",
    "name": "id",
    "required": true
  }
]
Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "origins",
          "kinds"
        ],
        "properties": {
          "origins": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 2048
            },
            "minItems": 1,
            "maxItems": 50
          },
          "kinds": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "local"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "session"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "indexeddb"
                  ]
                }
              ]
            },
            "minItems": 1,
            "maxItems": 3,
            "uniqueItems": true
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "format",
            "documents",
            "skipped_documents"
          ],
          "properties": {
            "format": {
              "type": "string",
              "enum": [
                "adbr-website-storage-v1"
              ]
            },
            "documents": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "target_id",
                  "frame_id",
                  "parent_frame_id",
                  "top_level_origin",
                  "ancestor_origins",
                  "origin",
                  "storage_key",
                  "data"
                ],
                "properties": {
                  "target_id": {
                    "type": "string"
                  },
                  "frame_id": {
                    "type": "string"
                  },
                  "parent_frame_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "top_level_origin": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "ancestor_origins": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "origin": {
                    "type": "string"
                  },
                  "storage_key": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "data": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                }
              }
            },
            "skipped_documents": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "target_id",
                  "frame_id",
                  "reason"
                ],
                "properties": {
                  "target_id": {
                    "type": "string"
                  },
                  "frame_id": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "reason": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Website-Speicher geöffneter Tabs und Frames mit Partitionenzuordnung exportieren",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "origins",
            "kinds"
          ],
          "properties": {
            "origins": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 2048
              },
              "minItems": 1,
              "maxItems": 50
            },
            "kinds": {
              "type": "array",
              "items": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "local"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "session"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "indexeddb"
                    ]
                  }
                ]
              },
              "minItems": 1,
              "maxItems": 3,
              "uniqueItems": true
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "parameters": [
    {
      "schema": {
        "type": "string",
        "minLength": 1,
        "maxLength": 64
      },
      "in": "path",
      "name": "id",
      "required": true
    }
  ],
  "x-required-scopes": [
    "profiles:read",
    "secrets:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "format",
              "documents",
              "skipped_documents"
            ],
            "properties": {
              "format": {
                "type": "string",
                "enum": [
                  "adbr-website-storage-v1"
                ]
              },
              "documents": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "target_id",
                    "frame_id",
                    "parent_frame_id",
                    "top_level_origin",
                    "ancestor_origins",
                    "origin",
                    "storage_key",
                    "data"
                  ],
                  "properties": {
                    "target_id": {
                      "type": "string"
                    },
                    "frame_id": {
                      "type": "string"
                    },
                    "parent_frame_id": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "top_level_origin": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "ancestor_origins": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "origin": {
                      "type": "string"
                    },
                    "storage_key": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "data": {
                      "type": "object",
                      "additionalProperties": {}
                    }
                  }
                }
              },
              "skipped_documents": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "target_id",
                    "frame_id",
                    "reason"
                  ],
                  "properties": {
                    "target_id": {
                      "type": "string"
                    },
                    "frame_id": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "reason": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/import/preview

Profil-Import prüfen (CSV, XLSX, TXT im AdsPower-Format): Spaltenerkennung, Vorschau je Zeile

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "file_name",
          "content_base64"
        ],
        "properties": {
          "file_name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 260
          },
          "content_base64": {
            "type": "string",
            "minLength": 4,
            "maxLength": 20971520
          },
          "sheet": {
            "type": "string",
            "maxLength": 64
          },
          "mapping": {
            "type": "object",
            "additionalProperties": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "no"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "external_id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ip"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "name"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "custom_no"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "group"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "tags"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "status"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "notes"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "engine"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "engine_version"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "os"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ua"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "resolution"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "platform"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "username"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "password"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "totp_secret"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "cookie"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxytype"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy_url"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy_id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ip_checker"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "countrycode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "regioncode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "citycode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "start_urls"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "extensions_set"
                      ]
                    }
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "duplicate_check": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "none"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "account"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "account_password"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "cookie"
                ]
              }
            ]
          },
          "ignore_cookie_errors": {
            "type": "boolean"
          },
          "exclude_lines": {
            "type": "array",
            "items": {
              "type": "integer",
              "minimum": 1
            },
            "maxItems": 1000
          },
          "defaults": {
            "type": "object",
            "properties": {
              "group_id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "engine": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "chromium"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "firefox"
                    ]
                  }
                ]
              },
              "engine_version": {
                "type": "string",
                "pattern": "^[0-9]{2,4}$"
              },
              "os": {
                "type": "string",
                "maxLength": 16
              },
              "tag_ids": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "maxItems": 30
              },
              "tags": {
                "type": "array",
                "items": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 50
                },
                "maxItems": 30
              },
              "storage_options": {
                "type": "object",
                "additionalProperties": {
                  "type": "boolean"
                }
              }
            },
            "additionalProperties": false
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "kind",
            "sheets",
            "sheet",
            "fields",
            "columns",
            "extra_accounts",
            "counts",
            "rows"
          ],
          "properties": {
            "kind": {
              "type": "string"
            },
            "sheets": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "sheet": {
              "type": "string"
            },
            "fields": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "columns": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "index",
                  "header",
                  "field"
                ],
                "properties": {
                  "index": {
                    "type": "integer"
                  },
                  "header": {
                    "type": "string"
                  },
                  "field": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            },
            "extra_accounts": {
              "type": "integer"
            },
            "counts": {
              "type": "object",
              "required": [
                "create",
                "update",
                "invalid",
                "duplicate",
                "excluded"
              ],
              "properties": {
                "create": {
                  "type": "integer"
                },
                "update": {
                  "type": "integer"
                },
                "invalid": {
                  "type": "integer"
                },
                "duplicate": {
                  "type": "integer"
                },
                "excluded": {
                  "type": "integer"
                }
              }
            },
            "rows": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "line",
                  "action",
                  "status",
                  "issues",
                  "warnings",
                  "profile_id",
                  "name",
                  "group",
                  "tags",
                  "engine",
                  "extension_set",
                  "proxy",
                  "accounts",
                  "first_account",
                  "cookies"
                ],
                "properties": {
                  "line": {
                    "type": "integer"
                  },
                  "action": {
                    "type": "string"
                  },
                  "status": {
                    "type": "string"
                  },
                  "issues": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "code",
                        "message"
                      ],
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        }
                      }
                    }
                  },
                  "warnings": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "code",
                        "message"
                      ],
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        }
                      }
                    }
                  },
                  "profile_id": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "name": {
                    "type": "string"
                  },
                  "group": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "tags": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "engine": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "extension_set": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "proxy": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "accounts": {
                    "type": "integer"
                  },
                  "first_account": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "cookies": {
                    "type": "integer"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Profil-Import prüfen (CSV, XLSX, TXT im AdsPower-Format): Spaltenerkennung, Vorschau je Zeile",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "file_name",
            "content_base64"
          ],
          "properties": {
            "file_name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 260
            },
            "content_base64": {
              "type": "string",
              "minLength": 4,
              "maxLength": 20971520
            },
            "sheet": {
              "type": "string",
              "maxLength": 64
            },
            "mapping": {
              "type": "object",
              "additionalProperties": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "no"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "external_id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ip"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "name"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "custom_no"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "group"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "tags"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "status"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "notes"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "engine"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "engine_version"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "os"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ua"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "resolution"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "platform"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "username"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "password"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "totp_secret"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "cookie"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxytype"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy_url"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy_id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ip_checker"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "countrycode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "regioncode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "citycode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "start_urls"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "extensions_set"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "duplicate_check": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "none"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "account"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "account_password"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "cookie"
                  ]
                }
              ]
            },
            "ignore_cookie_errors": {
              "type": "boolean"
            },
            "exclude_lines": {
              "type": "array",
              "items": {
                "type": "integer",
                "minimum": 1
              },
              "maxItems": 1000
            },
            "defaults": {
              "type": "object",
              "properties": {
                "group_id": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "engine": {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "chromium"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "firefox"
                      ]
                    }
                  ]
                },
                "engine_version": {
                  "type": "string",
                  "pattern": "^[0-9]{2,4}$"
                },
                "os": {
                  "type": "string",
                  "maxLength": 16
                },
                "tag_ids": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  },
                  "maxItems": 30
                },
                "tags": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 50
                  },
                  "maxItems": 30
                },
                "storage_options": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "boolean"
                  }
                }
              },
              "additionalProperties": false
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "kind",
              "sheets",
              "sheet",
              "fields",
              "columns",
              "extra_accounts",
              "counts",
              "rows"
            ],
            "properties": {
              "kind": {
                "type": "string"
              },
              "sheets": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "sheet": {
                "type": "string"
              },
              "fields": {
                "type": "array",
                "items": {
                  "type": "string"
                }
              },
              "columns": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "index",
                    "header",
                    "field"
                  ],
                  "properties": {
                    "index": {
                      "type": "integer"
                    },
                    "header": {
                      "type": "string"
                    },
                    "field": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              },
              "extra_accounts": {
                "type": "integer"
              },
              "counts": {
                "type": "object",
                "required": [
                  "create",
                  "update",
                  "invalid",
                  "duplicate",
                  "excluded"
                ],
                "properties": {
                  "create": {
                    "type": "integer"
                  },
                  "update": {
                    "type": "integer"
                  },
                  "invalid": {
                    "type": "integer"
                  },
                  "duplicate": {
                    "type": "integer"
                  },
                  "excluded": {
                    "type": "integer"
                  }
                }
              },
              "rows": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "line",
                    "action",
                    "status",
                    "issues",
                    "warnings",
                    "profile_id",
                    "name",
                    "group",
                    "tags",
                    "engine",
                    "extension_set",
                    "proxy",
                    "accounts",
                    "first_account",
                    "cookies"
                  ],
                  "properties": {
                    "line": {
                      "type": "integer"
                    },
                    "action": {
                      "type": "string"
                    },
                    "status": {
                      "type": "string"
                    },
                    "issues": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "code",
                          "message"
                        ],
                        "properties": {
                          "code": {
                            "type": "string"
                          },
                          "message": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "code",
                          "message"
                        ],
                        "properties": {
                          "code": {
                            "type": "string"
                          },
                          "message": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "profile_id": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "name": {
                      "type": "string"
                    },
                    "group": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "string"
                      }
                    },
                    "engine": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "extension_set": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "proxy": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "accounts": {
                      "type": "integer"
                    },
                    "first_account": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "cookies": {
                      "type": "integer"
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/import

Profile aus Datei anlegen oder über die Spalte id aktualisieren; Ergebnis je Zeile

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "file_name",
          "content_base64"
        ],
        "properties": {
          "file_name": {
            "type": "string",
            "minLength": 1,
            "maxLength": 260
          },
          "content_base64": {
            "type": "string",
            "minLength": 4,
            "maxLength": 20971520
          },
          "sheet": {
            "type": "string",
            "maxLength": 64
          },
          "mapping": {
            "type": "object",
            "additionalProperties": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "no"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "external_id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ip"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "name"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "custom_no"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "group"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "tags"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "status"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "notes"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "engine"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "engine_version"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "os"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ua"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "resolution"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "platform"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "username"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "password"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "totp_secret"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "cookie"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxytype"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy_url"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "proxy_id"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "ip_checker"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "countrycode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "regioncode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "citycode"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "start_urls"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "extensions_set"
                      ]
                    }
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "duplicate_check": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "none"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "account"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "account_password"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "cookie"
                ]
              }
            ]
          },
          "ignore_cookie_errors": {
            "type": "boolean"
          },
          "exclude_lines": {
            "type": "array",
            "items": {
              "type": "integer",
              "minimum": 1
            },
            "maxItems": 1000
          },
          "defaults": {
            "type": "object",
            "properties": {
              "group_id": {
                "type": [
                  "string",
                  "null"
                ]
              },
              "engine": {
                "anyOf": [
                  {
                    "type": "string",
                    "enum": [
                      "chromium"
                    ]
                  },
                  {
                    "type": "string",
                    "enum": [
                      "firefox"
                    ]
                  }
                ]
              },
              "engine_version": {
                "type": "string",
                "pattern": "^[0-9]{2,4}$"
              },
              "os": {
                "type": "string",
                "maxLength": 16
              },
              "tag_ids": {
                "type": "array",
                "items": {
                  "type": "string"
                },
                "maxItems": 30
              },
              "tags": {
                "type": "array",
                "items": {
                  "type": "string",
                  "minLength": 1,
                  "maxLength": 50
                },
                "maxItems": 30
              },
              "storage_options": {
                "type": "object",
                "additionalProperties": {
                  "type": "boolean"
                }
              }
            },
            "additionalProperties": false
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "created",
            "updated",
            "skipped",
            "failed",
            "results"
          ],
          "properties": {
            "created": {
              "type": "integer"
            },
            "updated": {
              "type": "integer"
            },
            "skipped": {
              "type": "integer"
            },
            "failed": {
              "type": "integer"
            },
            "results": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "line",
                  "status",
                  "id",
                  "no",
                  "error",
                  "warnings",
                  "cookies"
                ],
                "properties": {
                  "line": {
                    "type": "integer"
                  },
                  "status": {
                    "type": "string"
                  },
                  "id": {
                    "type": [
                      "null",
                      "string"
                    ]
                  },
                  "no": {
                    "type": [
                      "null",
                      "integer"
                    ]
                  },
                  "error": {
                    "anyOf": [
                      {
                        "type": "object",
                        "required": [
                          "code",
                          "message"
                        ],
                        "properties": {
                          "code": {
                            "type": "string"
                          },
                          "message": {
                            "type": "string"
                          }
                        }
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "warnings": {
                    "type": "array",
                    "items": {
                      "type": "object",
                      "required": [
                        "code",
                        "message"
                      ],
                      "properties": {
                        "code": {
                          "type": "string"
                        },
                        "message": {
                          "type": "string"
                        }
                      }
                    }
                  },
                  "cookies": {
                    "type": [
                      "null",
                      "string"
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Profile aus Datei anlegen oder über die Spalte id aktualisieren; Ergebnis je Zeile",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "file_name",
            "content_base64"
          ],
          "properties": {
            "file_name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 260
            },
            "content_base64": {
              "type": "string",
              "minLength": 4,
              "maxLength": 20971520
            },
            "sheet": {
              "type": "string",
              "maxLength": 64
            },
            "mapping": {
              "type": "object",
              "additionalProperties": {
                "anyOf": [
                  {
                    "anyOf": [
                      {
                        "type": "string",
                        "enum": [
                          "id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "no"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "external_id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ip"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "name"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "custom_no"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "group"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "tags"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "status"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "notes"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "engine"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "engine_version"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "os"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ua"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "resolution"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "platform"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "username"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "password"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "totp_secret"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "cookie"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxytype"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy_url"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "proxy_id"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "ip_checker"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "countrycode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "regioncode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "citycode"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "start_urls"
                        ]
                      },
                      {
                        "type": "string",
                        "enum": [
                          "extensions_set"
                        ]
                      }
                    ]
                  },
                  {
                    "type": "null"
                  }
                ]
              }
            },
            "duplicate_check": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "none"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "account"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "account_password"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "cookie"
                  ]
                }
              ]
            },
            "ignore_cookie_errors": {
              "type": "boolean"
            },
            "exclude_lines": {
              "type": "array",
              "items": {
                "type": "integer",
                "minimum": 1
              },
              "maxItems": 1000
            },
            "defaults": {
              "type": "object",
              "properties": {
                "group_id": {
                  "type": [
                    "string",
                    "null"
                  ]
                },
                "engine": {
                  "anyOf": [
                    {
                      "type": "string",
                      "enum": [
                        "chromium"
                      ]
                    },
                    {
                      "type": "string",
                      "enum": [
                        "firefox"
                      ]
                    }
                  ]
                },
                "engine_version": {
                  "type": "string",
                  "pattern": "^[0-9]{2,4}$"
                },
                "os": {
                  "type": "string",
                  "maxLength": 16
                },
                "tag_ids": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  },
                  "maxItems": 30
                },
                "tags": {
                  "type": "array",
                  "items": {
                    "type": "string",
                    "minLength": 1,
                    "maxLength": 50
                  },
                  "maxItems": 30
                },
                "storage_options": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "boolean"
                  }
                }
              },
              "additionalProperties": false
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:write"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "created",
              "updated",
              "skipped",
              "failed",
              "results"
            ],
            "properties": {
              "created": {
                "type": "integer"
              },
              "updated": {
                "type": "integer"
              },
              "skipped": {
                "type": "integer"
              },
              "failed": {
                "type": "integer"
              },
              "results": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "line",
                    "status",
                    "id",
                    "no",
                    "error",
                    "warnings",
                    "cookies"
                  ],
                  "properties": {
                    "line": {
                      "type": "integer"
                    },
                    "status": {
                      "type": "string"
                    },
                    "id": {
                      "type": [
                        "null",
                        "string"
                      ]
                    },
                    "no": {
                      "type": [
                        "null",
                        "integer"
                      ]
                    },
                    "error": {
                      "anyOf": [
                        {
                          "type": "object",
                          "required": [
                            "code",
                            "message"
                          ],
                          "properties": {
                            "code": {
                              "type": "string"
                            },
                            "message": {
                              "type": "string"
                            }
                          }
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "required": [
                          "code",
                          "message"
                        ],
                        "properties": {
                          "code": {
                            "type": "string"
                          },
                          "message": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "cookies": {
                      "type": [
                        "null",
                        "string"
                      ]
                    }
                  }
                }
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

GET /api/v1/profiles/import/template

Import-Vorlage mit allen Spalten (XLSX mit Blatt „Zusatzkonten“, CSV oder TXT)

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

NameOrtPflichtBeschreibung
formatqueryNein
Vollständige Parameterschemas
OpenAPI JSON
[
  {
    "schema": {
      "anyOf": [
        {
          "type": "string",
          "enum": [
            "xlsx"
          ]
        },
        {
          "type": "string",
          "enum": [
            "csv"
          ]
        },
        {
          "type": "string",
          "enum": [
            "txt"
          ]
        }
      ]
    },
    "in": "query",
    "name": "format",
    "required": false
  }
]

Kein Anfragekörper deklariert.

Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "file_name",
            "mime",
            "content_base64"
          ],
          "properties": {
            "file_name": {
              "type": "string"
            },
            "mime": {
              "type": "string"
            },
            "content_base64": {
              "type": "string"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Import-Vorlage mit allen Spalten (XLSX mit Blatt „Zusatzkonten“, CSV oder TXT)",
  "tags": [
    "Import/Export"
  ],
  "parameters": [
    {
      "schema": {
        "anyOf": [
          {
            "type": "string",
            "enum": [
              "xlsx"
            ]
          },
          {
            "type": "string",
            "enum": [
              "csv"
            ]
          },
          {
            "type": "string",
            "enum": [
              "txt"
            ]
          }
        ]
      },
      "in": "query",
      "name": "format",
      "required": false
    }
  ],
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "file_name",
              "mime",
              "content_base64"
            ],
            "properties": {
              "file_name": {
                "type": "string"
              },
              "mime": {
                "type": "string"
              },
              "content_base64": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/profiles/export

Profile als XLSX, CSV oder TXT exportieren (wieder importierbar, Spalten id/no für Aktualisierung); Passwörter nur mit secrets:read

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:read

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "format"
        ],
        "properties": {
          "ids": {
            "type": "array",
            "items": {
              "type": "string",
              "minLength": 1,
              "maxLength": 64
            },
            "minItems": 1,
            "maxItems": 1000
          },
          "all": {
            "type": "boolean"
          },
          "format": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "xlsx"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "csv"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "txt"
                ]
              }
            ]
          },
          "include_secrets": {
            "type": "boolean"
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "file_name",
            "mime",
            "count",
            "content_base64"
          ],
          "properties": {
            "file_name": {
              "type": "string"
            },
            "mime": {
              "type": "string"
            },
            "count": {
              "type": "integer"
            },
            "content_base64": {
              "type": "string"
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "Profile als XLSX, CSV oder TXT exportieren (wieder importierbar, Spalten id/no für Aktualisierung); Passwörter nur mit secrets:read",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "format"
          ],
          "properties": {
            "ids": {
              "type": "array",
              "items": {
                "type": "string",
                "minLength": 1,
                "maxLength": 64
              },
              "minItems": 1,
              "maxItems": 1000
            },
            "all": {
              "type": "boolean"
            },
            "format": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "xlsx"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "csv"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "txt"
                  ]
                }
              ]
            },
            "include_secrets": {
              "type": "boolean"
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "x-required-scopes": [
    "profiles:read"
  ],
  "responses": {
    "200": {
      "description": "Default Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "file_name",
              "mime",
              "count",
              "content_base64"
            ],
            "properties": {
              "file_name": {
                "type": "string"
              },
              "mime": {
                "type": "string"
              },
              "count": {
                "type": "integer"
              },
              "content_base64": {
                "type": "string"
              }
            }
          }
        }
      }
    },
    "default": {
      "description": "HTTP error envelope. The status and error.code identify the failure.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}

POST /api/v1/integrations/transfers/list

GoLogin-, Dolphin- oder Multilogin-X-Profile ohne lokale Änderungen auflisten

Authentifizierung: Bearer-Token

Erforderliche Routen-Scopes: profiles:write

Alle aufgeführten Scopes sind erforderlich; admin erfüllt Scope-Prüfungen. Anfrageinhalt, Tresorzustand und Ressourcenrechte können zusätzliche Voraussetzungen setzen.

Keine Pfad- oder Query-Parameter deklariert.

Anfragekörper · erforderlich
OpenAPI JSON
{
  "required": true,
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "required": [
          "source",
          "token"
        ],
        "properties": {
          "source": {
            "anyOf": [
              {
                "type": "string",
                "enum": [
                  "gologin"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "dolphin"
                ]
              },
              {
                "type": "string",
                "enum": [
                  "multilogin"
                ]
              }
            ]
          },
          "token": {
            "type": "string",
            "minLength": 8,
            "maxLength": 8192
          },
          "page": {
            "type": "integer",
            "minimum": 1,
            "maximum": 10000
          },
          "cursor": {
            "type": "string",
            "maxLength": 4096
          }
        },
        "additionalProperties": false
      }
    }
  }
}
Dokumentierte Antworten
OpenAPI JSON
{
  "200": {
    "description": "Default Response",
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "items",
            "next"
          ],
          "properties": {
            "items": {
              "type": "array",
              "items": {
                "type": "object",
                "required": [
                  "id",
                  "name"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  }
                }
              }
            },
            "next": {
              "type": [
                "string",
                "null"
              ]
            }
          }
        }
      }
    }
  },
  "default": {
    "description": "HTTP error envelope. The status and error.code identify the failure.",
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/Error"
        }
      }
    }
  }
}
Vollständige Operationsdefinition
OpenAPI JSON
{
  "summary": "GoLogin-, Dolphin- oder Multilogin-X-Profile ohne lokale Änderungen auflisten",
  "tags": [
    "Import/Export"
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "required": [
            "source",
            "token"
          ],
          "properties": {
            "source": {
              "anyOf": [
                {
                  "type": "string",
                  "enum": [
                    "gologin"
                  ]
                },
                {
                  "type": "string",
                  "enum": [
                    "dolphin"
                  ]
                },
                {
                  "type": "string",
[...]
